#!/bin/bash

SCRIPTPATH=$(dirname $0)
source $SCRIPTPATH/config.txt

#echo "===== $script_type =====" >> hook.txt

case $script_type in
	up)
		# Make the namespace and move the VPN interface to it, then
		# configure it and set it to UP.
		set -ex
		ip netns exec $NSNAME ip link set dev lo up
		ip link set dev "$dev" up netns $NSNAME mtu "$link_mtu"
		ip netns exec $NSNAME ip addr add "$ifconfig_local" dev "$dev" peer "$route_vpn_gateway"
		ip netns exec $NSNAME ip link set "$dev" up

		;;

	route-up)
		set -ex

		# Add the IP address and turn it on.  You might need these sometimes maybe.
		#ip netns exec $NSNAME ip addr add "$ifconfig_local" dev "$dev" peer "$route_vpn_gateway"
		#ip netns exec $NSNAME ip link set "$dev" up

		# Add the default route.
		ip netns exec $NSNAME ip route add default dev "$dev"

		;;

	down)
		# Turn the network interface off
		echo "disabling interface $dev..."
		ip netns exec $NSNAME ip link set "$dev" down
		res=$?
		if [ "$res" -ne "0" ]; then
			echo "disabling $dev exited with code $res, continuing..."
		fi

		;;
esac

